"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UploadLogger = void 0;
exports.info = info;
exports.logError = logError;
exports.verbose = verbose;
/**
 *  We really only need three log levels
 * * Error
 * * Info
 * * Verbose
 */

function _getTimestamp() {
  return new Date().toISOString();
}

/**
 *
 * @param {string} message - message to log
 * @param {boolean} shouldVerbose - value of the verbose flag
 * @return void
 */
function verbose(message, shouldVerbose) {
  if (shouldVerbose === true) {
    console.debug(`[${_getTimestamp()}] ['verbose'] ${message}`);
  }
}

/**
 *
 * @param {string} message - message to log
 * @return void
 */
function logError(message) {
  console.error(`[${_getTimestamp()}] ['error'] ${message}`);
}

/**
 *
 * @param {string} message - message to log
 * @return void
 */
function info(message) {
  console.log(`[${_getTimestamp()}] ['info'] ${message}`);
}
class UploadLogger {
  logLevel = 'info';
  constructor() {
    // Intentionally empty
  }
  static getInstance() {
    if (!UploadLogger._instance) {
      UploadLogger._instance = new UploadLogger();
    }
    return UploadLogger._instance;
  }
  static setLogLevel(level) {
    UploadLogger.getInstance().logLevel = level;
  }
  static verbose(message) {
    verbose(message, UploadLogger.getInstance().logLevel === 'verbose');
  }
}
exports.UploadLogger = UploadLogger;